EasyMock (EasyMock Class extension 3.2 API)
Date: 2013-07-11

org.easymock.classextension

## Class EasyMock

- java.lang.Object
- - org.easymock.EasyMock
  - - org.easymock.classextension.EasyMock

- Deprecated.
  You can now mock classes directly with `EasyMock`

      @Deprecated
      public class EasyMock
      extends EasyMock

  This class is provided solely to allow an easier transition to EasyMock 3.0. You should now use `EasyMock` for classes and interfaces mocking.

  Note: Since the static methods previously available were removed from this class (and are now in the superclass), no binary compatibility is provided

  Author:
    Henri Tremblay

- - ### Field Summary

    - ### Fields inherited from class org.easymock.EasyMock

      `DISABLE_CLASS_MOCKING, ENABLE_THREAD_SAFETY_CHECK_BY_DEFAULT, NOT_THREAD_SAFE_BY_DEFAULT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EasyMock()` Deprecated. Prevent instantiation but allow inheritance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IMocksControl` | `createControl()` Deprecated.
    `static <T> IMockBuilder<T>` | `createMockBuilder(Class<T> toMock)` Deprecated.
    `static IMocksControl` | `createNiceControl()` Deprecated.
    `static IMocksControl` | `createStrictControl()` Deprecated.

    - ### Methods inherited from class org.easymock.EasyMock

      `and, and, and, and, and, and, and, and, and, anyBoolean, anyByte, anyChar, anyDouble, anyFloat, anyInt, anyLong, anyObject, anyObject, anyShort, anyString, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, aryEq, capture, captureBoolean, captureByte, captureChar, captureDouble, captureFloat, captureInt, captureLong, checkIsUsedInOneThread, checkOrder, cmp, cmpEq, contains, createControl, createMock, createMock, createMock, createMock, createMock, createMock, createMock, createMock, createNiceMock, createNiceMock, createNiceMock, createNiceMock, createNiceMock, createNiceMock, createStrictMock, createStrictMock, createStrictMock, createStrictMock, createStrictMock, createStrictMock, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, expect, expectLastCall, find, geq, geq, geq, geq, geq, geq, geq, getCurrentArguments, getEasyMockProperty, gt, gt, gt, gt, gt, gt, gt, isA, isNull, isNull, leq, leq, leq, leq, leq, leq, leq, lt, lt, lt, lt, lt, lt, lt, makeThreadSafe, matches, not, not, not, not, not, not, not, not, not, notNull, notNull, or, or, or, or, or, or, or, or, or, replay, reportMatcher, reset, resetToDefault, resetToNice, resetToStrict, same, setEasyMockProperty, startsWith, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EasyMock

          protected EasyMock()

      Deprecated.
      Prevent instantiation but allow inheritance

  - ### Method Detail

    - #### createStrictControl

          public static IMocksControl createStrictControl()

      Deprecated.

    - #### createControl

          public static IMocksControl createControl()

      Deprecated.

    - #### createNiceControl

          public static IMocksControl createNiceControl()

      Deprecated.

    - #### createMockBuilder

          public static <T> IMockBuilder<T> createMockBuilder(Class<T> toMock)

      Deprecated.

Copyright © 2003-2013 OFFIS, Henri Tremblay. All Rights Reserved.